libiw30_30~pre9-8_amd64.deb


Advertisement

Description

libiw30 - Wireless tools - library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package filename libiw30_30~pre9-8_amd64.deb
Package name libiw30
Package version 30~pre9
Package release 8
Package architecture amd64
Package type deb
Category implemented-in::c libs role::shared-lib
Homepage http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
License -
Maintainer Guus Sliepen <guus@debian.org>
Download size 35.54 KB
Installed size 85.00 KB
Wireless tools are used to manipulate the Linux Wireless Extensions. The
Wireless Extension is an interface allowing you to set Wireless LAN specific
parameters and get the specific stats.
This package contains the dynamic library libiw.

Alternatives

Package Version Architecture Repository
libiw30_30~pre9-8_i386.deb 30~pre9 i386 Debian Main
libiw30 - - -

Requires

Name Value
libc6 >= 2.7
multiarch-support -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libiw30_30~pre9-8_amd64.deb
Source Package wireless-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libiw30 deb package:
    # sudo apt-get install libiw30

Files

Path
/lib/x86_64-linux-gnu/libiw.so.30
/usr/share/doc/libiw30/changelog.Debian.gz
/usr/share/doc/libiw30/changelog.gz
/usr/share/doc/libiw30/copyright

Changelog

2011-12-23 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-8) unstable; urgency=low
* Add type to IMPORT keyword in ifrename's udev rules file. Closes: #650606
2011-11-14 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-7) unstable; urgency=low
* Add missing Build-Depend on dpkg-dev. Closes: #644744
* Set key values after setting default key and key mode. Closes: #624603
2011-10-02 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-6) unstable; urgency=low
* Apply patch from Riku Voipio to support multiarch. Closes: #642434
* Bump Standards-Version.
* Provide build-arch and build-indep targets in debian/rules. 
* Use /usr/share/dpkg/default.mk in debian/rules.
* Allow CFLAGS to be set from debian/rules.
2010-07-04 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-5) unstable; urgency=low
* Apply patch from Steve Langesak clarifying the iftab manpage.
Closes: #528324
* Bump Standards-Version.
* Only build wireless-tools on Linux.
2010-01-23 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-4) unstable; urgency=low
* Let ifrename udev rules be priority 19 instead of 019. Closes: #560801
* Use udev rules from upstream. Closes: #556441
* Depend on ${misc:Depends}.
2009-12-18 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-3) unstable; urgency=low
* Move (correctly) the scripts back to pre-up and post-down, since the
wireless parameters must be fully configured before we can acquire an
address through DHCP. Closes: #558476, #558221, #552093, #544883
* Try to deal with the wireless driver madness by trying to configure all
parameters before the interface is brought up, remembering which parameters
failed to be set, and retrying those after bringing up the interface in the
pre-up script.
2009-11-27 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-2) unstable; urgency=low
* Ensure existing pre-up and post-down scripts are properly moved to up and
down. Closes: #558221
2009-11-26 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre9-1) unstable; urgency=low
* New upstream release.
- Includes fix for Czech manpage for iwconfig.
- Does not redefine inline keyword on recent compilers anymore.
Closes: #548192
- Prevents huge memory allocations when scanning. Closes: #541648
- Does not use NAME="%k" in 19-udev-ifrename.rules anymore. Closes: #556441
- Fixes iwlist scan on 64bit platforms again. Closes: #496481
* Convert source package to 3.0 (quilt) format.
* Bump Standars-Version.
2009-03-10 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre8-1) experimental; urgency=low
* New upstream release.
2008-09-25 - Guus Sliepen <guus@debian.org>
wireless-tools (30~pre7-1) experimental; urgency=low
* New upstream release.
- Fixes output of "iwlist scan" on 64 bit platforms. Closes: #496481
* Bump Standards-Version.
* Depend on debhelper >= 5.0.44~ for dh_installifupdown.
* Add a genuine copyright notice to the copyright file.
* Fix Czech manpage for iwconfig.

See Also

Package Description
libixion-0.8-0_0.7.0-3_amd64.deb general purpose formula parser & interpreter library -- development
libixion-dev_0.7.0-3_amd64.deb general purpose formula parser & interpreter library -- development
libixp-dev_0.6~20121202+hg148-2_amd64.deb simple 9P client-/server-library (development)
libixp0_0.6~20121202+hg148-2_amd64.deb simple 9P client-/server-library
libixp_0.6~20121202+hg148-2_all.deb transitional dummy package for libixp-dev
libj2ssh-java-doc_0.2.9-4_all.deb Java library for the SSH protocol - documentation and examples
libj2ssh-java_0.2.9-4_all.deb Java library for the SSH protocol
libjaba-client-java_0+dfsg-1_all.deb minimal client for the JABAWS server
libjack-dev_0.124.1+20140122git5013bed0-3_amd64.deb JACK Audio Connection Kit (development files)
libjack-jackd2-0_1.9.10+20140719git3eb0ae6a~dfsg-2_amd64.deb JACK Audio Connection Kit (libraries)
libjack-jackd2-dev_1.9.10+20140719git3eb0ae6a~dfsg-2_amd64.deb JACK Audio Connection Kit (development files)
libjack0_0.124.1+20140122git5013bed0-3_amd64.deb JACK Audio Connection Kit (libraries)
libjackrabbit-java_2.3.6-1+deb8u2_all.deb content repository implementation (JCR API)
libjackson-json-java-doc_1.9.2-3_all.deb standard conformant json processor in java - API documentation
libjackson-json-java_1.9.2-3_all.deb streaming fast powerful standard conformant json processor in java
Advertisement
Advertisement